# PointCloudShading

#### new Cesium.PointCloudShading(options)
engine/Source/Scene/PointCloudShading.js 22

Options for performing point attenuation based on geometric error when rendering point clouds using 3D Tiles.

Name | Type | Description
--- | --- | ---
`options` | object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`attenuation` | boolean | `false` | optional Perform point attenuation based on geometric error.
`geometricErrorScale` | number | `1.0` | optional Scale to be applied to each tile's geometric error.
`maximumAttenuation` | number |  | optional Maximum attenuation in pixels. Defaults to the Cesium3DTileset's maximumScreenSpaceError.
`baseResolution` | number |  | optional Average base resolution for the dataset in meters. Substitute for Geometric Error when not available.
`eyeDomeLighting` | boolean | `true` | optional When true, use eye dome lighting when drawing with point attenuation.
`eyeDomeLightingStrength` | number | `1.0` | optional Increasing this value increases contrast on slopes and edges.
`eyeDomeLightingRadius` | number | `1.0` | optional Increase the thickness of contours from eye dome lighting.
`backFaceCulling` | boolean | `false` | optional Determines whether back-facing points are hidden. This option works only if data has normals included.
`normalShading` | boolean | `true` | optional Determines whether a point cloud that contains normals is shaded by the scene's light source.

### Members

#### attenuation : boolean
engine/Source/Scene/PointCloudShading.js 30

Perform point attenuation based on geometric error.

Default Value: `false`

#### backFaceCulling : boolean
engine/Source/Scene/PointCloudShading.js 93

Determines whether back-facing points are hidden. This option works only if data has normals included.

Default Value: `false`

#### baseResolution : number
engine/Source/Scene/PointCloudShading.js 54

Average base resolution for the dataset in meters. Used in place of geometric error when geometric error is 0. If undefined, an approximation will be computed for each tile that has geometric error of 0.

#### eyeDomeLighting : boolean
engine/Source/Scene/PointCloudShading.js 64

Use eye dome lighting when drawing with point attenuation Requires support for EXT_frag_depth, OES_texture_float, and WEBGL_draw_buffers extensions in WebGL 1.0, otherwise eye dome lighting is ignored.

Default Value: `true`

#### eyeDomeLightingRadius : number
engine/Source/Scene/PointCloudShading.js 81

Thickness of contours from eye dome lighting

Default Value: `1.0`

#### eyeDomeLightingStrength : number
engine/Source/Scene/PointCloudShading.js 71

Eye dome lighting strength (apparent contrast)

Default Value: `1.0`

#### geometricErrorScale : number
engine/Source/Scene/PointCloudShading.js 37

Scale to be applied to the geometric error before computing attenuation.

Default Value: `1.0`

#### maximumAttenuation : number
engine/Source/Scene/PointCloudShading.js 46

Maximum point attenuation in pixels. If undefined, the Cesium3DTileset's maximumScreenSpaceError will be used.

#### normalShading : boolean
engine/Source/Scene/PointCloudShading.js 101

Determines whether a point cloud that contains normals is shaded by the scene's light source.

Default Value: `true`

### Methods

#### static Cesium.PointCloudShading.isSupported(scene) → boolean
engine/Source/Scene/PointCloudShading.js 110

Determines if point cloud shading is supported.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene.

##### Returns:

`true` if point cloud shading is supported; otherwise, returns `false`

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.